Issue #5181 has been reported by Ramsey Dow.

----------------------------------------
Bug #5181: yard causes Ruby 1.9.2 crash on Mac OS X Lion (64-bit)
http://redmine.ruby-lang.org/issues/5181

Author: Ramsey Dow
Status: Open
Priority: Normal
Assignee: 
Category: 
Target version: 1.9.2
ruby -v: ruby 1.9.2p290 (2011-07-09 revision 32553) [x86_64-darwin11.0.0]


The yard binary (part of the yard documentation gem) crashes under Ruby 1.9.2-p290 on Mac OS X 10.7 Lion (64-bit). Attached is a script containing Ruby, RubyGem, and Yard version details + crash output. Since this is Mac OS X, I am also attaching the crash report from my ~/Library/Logs/CrashReporter directory.

Not tested with Ruby 1.8.7.

Script started on Tue Aug  9 23:37:35 2011
$ ruby -v
ruby 1.9.2p290 (2011-07-09 revision 32553) [x86_64-darwin11.0.0]
$ gem --version
1.8.7
$ gem list|grep yard
yard (0.7.2)
$ yard
/opt/local/lib/ruby/gems/1.9.1/gems/yard-0.7.2/lib/yard.rb:38: [BUG] Bus Error
ruby 1.9.2p290 (2011-07-09 revision 32553) [x86_64-darwin11.0.0]

-- control frame ----------
c:0011 p:---- s:0034 b:0034 l:000033 d:000033 CFUNC  :callcc
c:0010 p:0080 s:0031 b:0031 l:002410 d:002410 TOP    /opt/local/lib/ruby/gems/1.9.1/gems/yard-0.7.2/lib/yard.rb:38
c:0009 p:---- s:0028 b:0028 l:000027 d:000027 FINISH
c:0008 p:---- s:0026 b:0026 l:000025 d:000025 CFUNC  :require
c:0007 p:0053 s:0022 b:0022 l:000bc8 d:000bc8 METHOD /opt/local/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36
c:0006 p:0028 s:0015 b:0015 l:001a98 d:001a98 TOP    /opt/local/lib/ruby/gems/1.9.1/gems/yard-0.7.2/bin/yard:2
c:0005 p:---- s:0013 b:0013 l:000012 d:000012 FINISH
c:0004 p:---- s:0011 b:0011 l:000010 d:000010 CFUNC  :load
c:0003 p:0127 s:0007 b:0007 l:001d38 d:000280 EVAL   /opt/local/bin/yard:19
c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH
c:0001 p:0000 s:0002 b:0002 l:001d38 d:001d38 TOP   
---------------------------
-- Ruby level backtrace information ----------------------------------------
/opt/local/bin/yard:19:in `<main>'
/opt/local/bin/yard:19:in `load'
/opt/local/lib/ruby/gems/1.9.1/gems/yard-0.7.2/bin/yard:2:in `<top (required)>'
/opt/local/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
/opt/local/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
/opt/local/lib/ruby/gems/1.9.1/gems/yard-0.7.2/lib/yard.rb:38:in `<top (required)>'
/opt/local/lib/ruby/gems/1.9.1/gems/yard-0.7.2/lib/yard.rb:38:in `callcc'

-- C level backtrace information -------------------------------------------
0   ruby                                0x000000010089962e rb_vm_bugreport + 110
1   ruby                                0x000000010078e283 report_bug + 259
2   ruby                                0x000000010078e3f1 rb_bug + 161
3   ruby                                0x0000000100830542 sigbus + 18
4   libsystem_c.dylib                   0x00007fff8fee8cfa _sigtramp + 26
5   ???                                 0x00007fff6035b510 0x0 + 140734807520528

[NOTE]
You may have encountered a bug in the Ruby interpreter or extension libraries.
Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html

Abort trap: 6
$ exit

Script done on Tue Aug  9 23:37:55 2011


-- 
http://redmine.ruby-lang.org